Bug 443691 - Valgrind errors in store tests.
Valgrind errors in store tests.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Kim van der Riet
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 17:26 EDT by Alan Conway
Modified: 2012-12-07 12:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Results of make check with valgrind. jrnl tests prevented by jtt failure (18.71 KB, text/plain)
2008-04-22 17:26 EDT, Alan Conway
no flags Details
make check for jrnl subdir with valgrind errors. (14.39 KB, text/plain)
2008-04-22 18:01 EDT, Alan Conway
no flags Details

  None (edit)
Description Alan Conway 2008-04-22 17:26:32 EDT
Description of problem:

After enabling valgrind for all the store C++ test executables, there are 
valgrind errors that need to be resolved.

All tests pass without valgrind (make check VALGRIND=)

Steps to Reproduce:
On a machine with valgrind installed:
 > make check

Additional info:

The jrnl/ tests are extremely slow (40 minutes) under valgrind. They are
probably re-testing the same code paths reundantly in loops, and can probably be
re-factored to run in a reasonable amount of time under valgrind without losing
any code coverage. 

In particular _ut_enq_map.stress seems like an inappropriate build test, perhaps
should be separated into a stress or performance test suite.
Comment 1 Alan Conway 2008-04-22 17:26:32 EDT
Created attachment 303384 [details]
Results of make check with valgrind. jrnl tests prevented by jtt failure
Comment 2 Alan Conway 2008-04-22 18:01:07 EDT
Created attachment 303388 [details]
make check for jrnl subdir with valgrind errors.
Comment 3 Alan Conway 2008-04-22 18:02:40 EDT
I reduce the loop counter in the stress tests to 10 iterations so the tests run
in a reasonable time now. Looking at the logs there are actually not many
valgrind errors, it should be possible to clean them up in less than a day.
Comment 4 Kim van der Riet 2008-04-29 08:20:51 EDT
Most errors were in the tests themselves (being over-simple in their approach)
but one corner case in the journal itself was uncovered. All fixed.
Comment 5 Mike Bonnet 2008-05-16 11:09:15 EDT
qpidc-0.2.656926-1.el5, qpidd-0.2.656926-1.el5, and rhm-0.2.2058-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.